# Delete an environment

Soft deletes an environment.

Endpoint: DELETE /api/v2/webpages/environments/{environment}
Version: 2.0
Security: Bearer Authentication

## Path parameters:

  - `environment` (string, required)

## Response 200 fields (application/json):

  - `message` (string)
    A message detailing the result of the operation.
    Example: "Success"

  - `data` (any)
    The data payload of the response, if any.

## Response 500 fields (application/json):

  - `cause` (object)

  - `cause.stackTrace` (array)

  - `cause.stackTrace.classLoaderName` (string)

  - `cause.stackTrace.moduleName` (string)

  - `cause.stackTrace.moduleVersion` (string)

  - `cause.stackTrace.methodName` (string)

  - `cause.stackTrace.fileName` (string)

  - `cause.stackTrace.lineNumber` (integer)

  - `cause.stackTrace.className` (string)

  - `cause.stackTrace.nativeMethod` (boolean)

  - `cause.message` (string)

  - `cause.localizedMessage` (string)

  - `stackTrace` (array)

  - `stackTrace.classLoaderName` (string)

  - `stackTrace.moduleName` (string)

  - `stackTrace.moduleVersion` (string)

  - `stackTrace.methodName` (string)

  - `stackTrace.fileName` (string)

  - `stackTrace.lineNumber` (integer)

  - `stackTrace.className` (string)

  - `stackTrace.nativeMethod` (boolean)

  - `errors` (array)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `code` (integer)
    The HTTP status code associated with the error.
    Example: 404

  - `correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `suppressed` (array)

  - `suppressed.stackTrace` (array)

  - `suppressed.stackTrace.classLoaderName` (string)

  - `suppressed.stackTrace.moduleName` (string)

  - `suppressed.stackTrace.moduleVersion` (string)

  - `suppressed.stackTrace.methodName` (string)

  - `suppressed.stackTrace.fileName` (string)

  - `suppressed.stackTrace.lineNumber` (integer)

  - `suppressed.stackTrace.className` (string)

  - `suppressed.stackTrace.nativeMethod` (boolean)

  - `suppressed.message` (string)

  - `suppressed.localizedMessage` (string)

  - `localizedMessage` (string)

  - `resourceKind` (string)

  - `identifier` (string)

  - `identifierType` (string)

  - `referencedBy` (array)

  - `referencedBy.kind` (string)

  - `referencedBy.identifier` (string)

  - `referencedBy.label` (string)

  - `referencedBy.field` (string)


